{ pkgs, systemConfig, ... }:

{
  environment.systemPackages = with pkgs; [
    wget
  ];

  networking = {
    networkmanager.enable = true;
    hostName = systemConfig.hostName;
    # wireless.enable = true;  # Enables wireless support via wpa_supplicant.
  };

  # Configure network proxy if necessary
  # networking.proxy.default = "http://user:password@proxy:port/";
  # networking.proxy.noProxy = "127.0.0.1,localhost,internal.domain";
  # Open ports in the firewall.
  # networking.firewall.allowedTCPPorts = [ ... ];
  # networking.firewall.allowedUDPPorts = [ ... ];
  # Or disable the firewall altogether.
  # networking.firewall.enable = false;

  programs.ssh.enableAskPassword = false;

  services.tailscale.enable = true;
}
